Package be.ehealth.business.mycarenetdomaincommons.domain

# Class Origin

java.lang.Object
be.ehealth.business.mycarenetdomaincommons.domain.Origin

public class Origin extends Object
contains the data to be mapped to the mycarenet OrigineType in CommonInputType. cfr documentation from mycarenet :

     The origin indicates where the message originates from and consists of:
       Package: What software package did send it.
       SiteID (since v2.1): The ID of the site that makes the request.  See service catalogue for the allowed values per sector.
       Care Provider: Who was the beneficiary of the request (this is optional in the XSD but should almost always be provided).
       Sender (since v2.2): Who was the creator of the request (in most case this isn’t required)

     For those flows that have a flat file equivalent, this corresponds to the segment 100:
       100: specific for CareNet, is replaced by the 'To' of WS-Addressing
       101: specific for CareNet, is replaced by the 'From' of WS-Addressing
       102: Not part of common input, replaced by 'To' of WS-Addressing
       103: Replaced by 'Origin'-element (actual value in //CommonInput/Origin/CareProvider/Nihii/Value)
       105/106: Not part of common input but of XAdES when relevant
       107: InputReference, First char repeated in Request/IsTest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Origin(McnPackageInfo packageInfo, CareProvider careProvider)`
  `Origin(McnPackageInfo packageInfo, Party sender)`
  `Origin(McnPackageInfo packageInfo, String siteId, CareProvider careProvider, Party sender, List<Actor> actors)`
  `Origin(McnPackageInfo packageInfo, String siteId, Party sender)`
  `Origin(PackageInfo packageInfo, CareProvider careProvider)`
  Deprecated.
  PackageInfo parameter deprecated : use constructor with new McnPackageInfo type instead
  `Origin(PackageInfo packageInfo, Party sender)`
  Deprecated.
  PackageInfo parameter deprecated : use constructor with new McnPackageInfo type instead
  `Origin(PackageInfo packageInfo, String siteId, CareProvider careProvider, Party sender)`
  Deprecated.
  PackageInfo parameter deprecated : use constructor with new McnPackageInfo type instead
  `Origin(PackageInfo packageInfo, String siteId, Party sender)`
  Deprecated.
  PackageInfo parameter deprecated : use constructor with new McnPackageInfo type instead

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Actor>`
  `getActors()`
  `CareProvider`
  `getCareProvider()`
  `McnPackageInfo`
  `getMcnPackageInfo()`
  `PackageInfo`
  `getPackageInfo()`
  Deprecated.
  PackageInfo parameter deprecated : use getMcnPackageInfo instead
  `Party`
  `getSender()`
  `String`
  `getSiteId()`
  `void`
  `setCareProvider(CareProvider careProvider)`
  `void`
  `setMcnPackageInfo(McnPackageInfo packageInfo)`
  `void`
  `setPackageInfo(PackageInfo packageInfo)`
  Deprecated.
  PackageInfo parameter deprecated : use setMcnPackageInfo instead
  `void`
  `setSender(Party sender)`
  `void`
  `setSiteId(String siteId)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Origin

    @Deprecated public Origin(PackageInfo packageInfo, CareProvider careProvider)
    Deprecated.
    PackageInfo parameter deprecated : use constructor with new McnPackageInfo type instead
    Parameters:
      `packageInfo` -
      `careProvider` -
      `siteId` -

  - ### Origin

    @Deprecated public Origin(PackageInfo packageInfo, Party sender)
    Deprecated.
    PackageInfo parameter deprecated : use constructor with new McnPackageInfo type instead
    Parameters:
      `packageInfo` -
      `sender` -

  - ### Origin

    @Deprecated public Origin(PackageInfo packageInfo, String siteId, Party sender)
    Deprecated.
    PackageInfo parameter deprecated : use constructor with new McnPackageInfo type instead
    Parameters:
      `packageInfo` -
      `siteId` -
      `sender` -

  - ### Origin

    @Deprecated public Origin(PackageInfo packageInfo, String siteId, CareProvider careProvider, Party sender)
    Deprecated.
    PackageInfo parameter deprecated : use constructor with new McnPackageInfo type instead
    Parameters:
      `packageInfo` -
      `siteId` -
      `careProvider` -
      `sender` -

  - ### Origin

    public Origin(McnPackageInfo packageInfo, CareProvider careProvider)
    Parameters:
      `packageInfo` -
      `careProvider` -

  - ### Origin

    public Origin(McnPackageInfo packageInfo, Party sender)
    Parameters:
      `packageInfo` -
      `sender` -

  - ### Origin

    public Origin(McnPackageInfo packageInfo, String siteId, Party sender)
    Parameters:
      `packageInfo` -
      `siteId` -
      `sender` -

  - ### Origin

    public Origin(McnPackageInfo packageInfo, String siteId, CareProvider careProvider, Party sender, List<Actor> actors)
    Parameters:
      `packageInfo` -
      `siteId` -
      `careProvider` -
      `sender` -

- ## Method Details

  - ### getPackageInfo

    @Deprecated public PackageInfo getPackageInfo()
    Deprecated.
    PackageInfo parameter deprecated : use getMcnPackageInfo instead
    Returns:
      the packageInfo

  - ### setPackageInfo

    @Deprecated public void setPackageInfo(PackageInfo packageInfo)
    Deprecated.
    PackageInfo parameter deprecated : use setMcnPackageInfo instead
    Parameters:
      `packageInfo` - the packageInfo to set

  - ### getMcnPackageInfo

    public McnPackageInfo getMcnPackageInfo()
    Returns:
      the packageInfo

  - ### setMcnPackageInfo

    public void setMcnPackageInfo(McnPackageInfo packageInfo)
    Parameters:
      `packageInfo` - the packageInfo to set

  - ### getSiteId

    public String getSiteId()
    Returns:
      the siteId

  - ### setSiteId

    public void setSiteId(String siteId)
    Parameters:
      `siteId` - the siteId to set

  - ### getCareProvider

    public CareProvider getCareProvider()
    Returns:
      the careProvider

  - ### setCareProvider

    public void setCareProvider(CareProvider careProvider)
    Parameters:
      `careProvider` - the careProvider to set

  - ### getSender

    public Party getSender()
    Returns:
      the sender

  - ### setSender

    public void setSender(Party sender)
    Parameters:
      `sender` - the sender to set

  - ### getActors

    public List<Actor> getActors()